#ifndef ENTITYPROPERTY_H
#define ENTITYPROPERTY_H

#include <QWidget>
#include "databasestruct.h"

namespace Ui { class EntityProperty;}

class EntityProperty : public QWidget
{
    Q_OBJECT
public:
    EntityProperty(QWidget* parent = nullptr);
    ~EntityProperty();


public slots:    
    void setID(const QString& id, const QString& name, QImage image);
    void setEntityRealTimeInfo(QList<MoveEntity> list);

private:
    Ui::EntityProperty* ui;
    QString mID;
};

#endif //ENTITYPROPERTY_H
